Skip to content

Poll orders using the single delivery per order line feature.

POST
/order-search/poll/single-delivery
curl --request POST \
--url https://api.tradecloud1.com/v2/order-search/poll/single-delivery \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "filters": { "companyId": "09484ff6-e0f0-510b-819f-5fa3ed780726", "status": { "processStatus": [ "Issued" ], "inProgressStatus": [ "OpenSupplierProposal" ], "logisticsStatus": [ "Open" ], "deliveryLineStatus": [ "Open" ] }, "lastUpdatedAfter": "2021-04-23T10:01:53.812Z" }, "offset": 0, "limit": 100 }'

Get all orders that are updated after a given DateTime.

Orders polling command. Contains information about which orders should be returned.

Media typeapplication/json

Request body for polling orders.

object
filters
required

Container for all filters that are used for order polling.

object
companyId

The optional companyId to filter orders by. Only needed when the integration user is authorized for multiple companies.

string format: uuid

Example

09484ff6-e0f0-510b-819f-5fa3ed780726
status
object
processStatus

Order process status to filter by. Only orders are returned of which the status.processStatus matches one of the given values.

Array<string>
Allowed values: Issued InProgress Confirmed Rejected Completed Cancelled
inProgressStatus

Order line inProgress status to filter by. Only orders are returned that contain at least one line that has processStatus = InProgress and has an inProgressStatus that matches one of the given values.

Array<string>
Allowed values: OpenSupplierProposal RejectedSupplierProposal ApprovedDeliverySchedule RejectedDeliverySchedule ReissuedRejectedLine OpenBuyerReconfirmationRequest OpenSupplierReopenRequest OpenSupplierShipmentRescheduleRequest OpenBuyerReopenRequest RevertedCompletedLine RevertedCancelledLine
logisticsStatus

Order logistical status to filter by. Only orders are returned of which the status.logisticsStatus matches one of the given values.

Array<string>
Allowed values: Open Produced ReadyToShip Shipped Delivered Cancelled
deliveryLineStatus

Delivery line status to filter by. Only orders are returned that contain at least 1 order line, which contains at least 1 deliverySchedule line, which has a status that matches one of the given values.

Array<string>
Allowed values: Open Produced ReadyToShip Shipped Delivered Cancelled
lastUpdatedAfter
required

The ISO-8601 date time (with UTC ‘Z’ designator) to find all orders that have been changed after (exclusive).

string format: YYYY-MM-DDThh:mm:ss.SSSZ

Example

2021-04-23T10:01:53.812Z
offset

The number of search results to skip. Defaults to 0.

integer format: int32

Example

0
limit

The maximum amount of search results to be returned. Defaults to 100. Maximum is 100.

integer format: int32

Example

100

Orders that were updated after the given lastUpdatedAfter. Orders are sorted in ascending order on their lastUpdatedAt field.

Media typeapplication/json

Includes the orders data.

object
data
required
Array<object>

Includes the order data with only one single delivery per order line.

object
id
required

The Tradecloud order ID

string
buyerOrder
required

The buyer side header of the purchase order.

object
companyId
required

The buyers globally unique Tradecloud company identifier

string format: uuid
buyerParty

The optional buyer, buyer accounting or supplier company party:

  • buyer: the legal entity that purchases the goods or services.
  • buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
  • supplier: the legal entity that sells the goods or services.
object
id

The optional identifier for the party.

string
idScheme

The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.

string
names

The location names. It is recommended to provide at least one name.

Array<string>
addressLines

The location address lines. It is recommended to provide at least one address line.

Array<string>
postalCode

Location postal code

string
city

Location city

string
countryCodeIso2

ISO 3166-1 alpha-2 country code.

string format: ISO 3166-1 alpha-2
countryName

Optional country name.

string
buyerAccountingParty

The optional buyer, buyer accounting or supplier company party:

  • buyer: the legal entity that purchases the goods or services.
  • buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
  • supplier: the legal entity that sells the goods or services.
object
id

The optional identifier for the party.

string
idScheme

The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.

string
names

The location names. It is recommended to provide at least one name.

Array<string>
addressLines

The location address lines. It is recommended to provide at least one address line.

Array<string>
postalCode

Location postal code

string
city

Location city

string
countryCodeIso2

ISO 3166-1 alpha-2 country code.

string format: ISO 3166-1 alpha-2
countryName

Optional country name.

string
supplierAccountNumber
required

The supplier account code or number as known at the buyer.

string
supplierParty

The optional buyer, buyer accounting or supplier company party:

  • buyer: the legal entity that purchases the goods or services.
  • buyer accounting: the legal entity that receives and handles the invoice. The supplier must send the invoice to the buyer accounting party when specified.
  • supplier: the legal entity that sells the goods or services.
object
id

The optional identifier for the party.

string
idScheme

The optional scheme, providing context to the identifier. Eg. KvK, GLN, etc.

string
names

The location names. It is recommended to provide at least one name.

Array<string>
addressLines

The location address lines. It is recommended to provide at least one address line.

Array<string>
postalCode

Location postal code

string
city

Location city

string
countryCodeIso2

ISO 3166-1 alpha-2 country code.

string format: ISO 3166-1 alpha-2
countryName

Optional country name.

string
purchaseOrderNumber
required

The purchase order number provided by the buyer. The number is unique and immutable within the buyer scope.

string
description

An optional free format order description or reference added by the buyer

string
destination

Includes location code and address.

object
code

Mandatory unique and immutable destination location code or number.

string
names
required

One or more names used to described this location. Can be the company name, location name, department, etc.

Array<string>
addressLines
required

One or more address lines of this location.

Array<string>
postalCode

The postal code of this location.

string
city

The city of this location.

string
countryCodeIso2
required

Mandatory ISO 3166-1 alpha-2 country code of this location.

string format: ISO 3166-1 alpha-2
countryName

Optional country name, preferable in English.

string
locationType

The type of the location, eg. Supplier Premises

string
terms

The order terms as agreed between buyer and supplier, provided by the buyer.

object
incotermsCode

Optional incoterms code according to ICC Incoterms 2020.

string format: ICC Incoterms 2020
incoterms

The incoterms named place (delivery, terminal, port or destination).

string
paymentTermsCode

The payment terms code as provided by the buyer.

string
paymentTerms

The payment terms text as provided by the buyer.

string
indicators

Order indicators set by the buyer.

object
autoConfirm

If this flag set to true then the order lines will be automatically confirmed in case of a supplier proposal or reopen request.

boolean
properties
required

Key-value based custom fields added by the buyer.

Array<object>

A key-value based custom field.

object
key
required

The key of the custom field.

string
value
required

The value of the custom field. Use \n for a new line.

string
notes
required

String based custom fields added by the buyer. \n are used for a new line.

Array<string>
labels

Optional value-added services labels on order level. Please note the practicable number of labels is dependent on the supplier.

Array<string>
documents
required

Order line document references and meta data added by the buyer

Array<object>

Either use objectId and the Tradecloud object-storage API or url to download the document.

object
code

Optional document code or number. The code is unique and immutable within a company.

string
revision

Optional document revision (or version) code or number

string
name

Optional document short name

string
objectId

The globally unique Tradecloud object identifier as known by the Tradecloud Object Storage, if this document stored in Tradecloud.

string format: uuid
url

Optional location of the document if is not stored in Tradecloud.

string format: url
type

Optional type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…

string
description

Optional description of the attached document.

string
meta

Meta information about the document, set by Tradecloud.

object
addedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was first attached to or embedded on the order or order line. Absent for a document that predates Tradecloud recording this date.

string format: yyyy-MM-ddTHH:mm:ss.SSSZ
lastUpdatedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was last attached or embedded with changed values. Equal to addedAt when the document has never changed. Not updated when an unchanged document is sent again.

string format: yyyy-MM-ddTHH:mm:ss.SSSZ
contact
object
userId
string format: uuid
email
string
userName
string
status
string
Allowed values: Assigned Reassigned
firstName
string
lastName
string
position
string
phoneNumber
string
orderType
required

The order type, one of:

  • Purchase - This is a purchase order (default).
  • Forecast - This is a forecast order.
  • RFQ - This is a request for quotation order.
string
default: Purchase
Allowed values: Purchase Forecast RFQ
customLabels

Optional custom labels on order header level to make supply or quality issues visible.

Array<object>

Custom label to make supply or quality issues visible.

object
text
required

Free format label text.

string
reason

Free format label reason.

string
requirements

Buyer-imposed requirements stamped onto the order from the buyer’s order settings at issue time.

object
salesOrderNumberRequired

If true, the supplier must provide a salesOrderNumber.

boolean
erpIssueDateTime

Optional ISO local date and time at which the order was originally issued in the buyers ERP system.

string format: YYYY-MM-DDThh:mm:ss
erpIssuedBy

A buyer or supplier contact.

object
userId

Optional globally unique Tradecloud user identifier.

string format: uuid
email

Optional contact email as known in your ERP system.

string
userName

Optional contact username as known in your ERP system.

string
erpLastChangeDateTime

Optional ISO local date and time at which the order was updated in the buyers ERP system.

string format: YYYY-MM-DDThh:mm:ss
erpLastChangedBy

A buyer or supplier contact.

object
userId

Optional globally unique Tradecloud user identifier.

string format: uuid
email

Optional contact email as known in your ERP system.

string
userName

Optional contact username as known in your ERP system.

string
supplierOrder
required

The supplier side header of the purchase order.

object
companyId
required

The suppliers globally unique Tradecloud company identifier

string format: uuid
buyerAccountNumber

The buyer account code or number as known at the supplier.

string
description

An optional free format order description or reference added by the supplier

string
properties
required

Key-value based custom fields added by the supplier.

Array<object>

A key-value based custom field.

object
key
required

The key of the custom field.

string
value
required

The value of the custom field. Use \n for a new line.

string
notes
required

String based custom fields added by the supplier. \n are used for a new line.

Array<string>
documents
required

Order document references and meta data added by the supplier

Array<object>

Either use objectId and the Tradecloud object-storage API or url to download the document.

object
code

Optional document code or number. The code is unique and immutable within a company.

string
revision

Optional document revision (or version) code or number

string
name

Optional document short name

string
objectId

The globally unique Tradecloud object identifier as known by the Tradecloud Object Storage, if this document stored in Tradecloud.

string format: uuid
url

Optional location of the document if is not stored in Tradecloud.

string format: url
type

Optional type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…

string
description

Optional description of the attached document.

string
meta

Meta information about the document, set by Tradecloud.

object
addedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was first attached to or embedded on the order or order line. Absent for a document that predates Tradecloud recording this date.

string format: yyyy-MM-ddTHH:mm:ss.SSSZ
lastUpdatedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was last attached or embedded with changed values. Equal to addedAt when the document has never changed. Not updated when an unchanged document is sent again.

string format: yyyy-MM-ddTHH:mm:ss.SSSZ
contact
object
userId
string format: uuid
email
string
userName
string
status
string
Allowed values: Suggested Assigned Reassigned
firstName
string
lastName
string
position
string
phoneNumber
string
customLabels

Optional custom labels on order header level to make supply or quality issues visible.

Array<object>

Custom label to make supply or quality issues visible.

object
text
required

Free format label text.

string
reason

Free format label reason.

string
erpLastResponseDateTime

ISO local date and time at which the order response was updated in suppliers ERP system.

string format: YYYY-MM-DDThh:mm:ss
erpLastRespondedBy

A buyer or supplier contact.

object
userId

Optional globally unique Tradecloud user identifier.

string format: uuid
email

Optional contact email as known in your ERP system.

string
userName

Optional contact username as known in your ERP system.

string
lines
required

List of order lines, sorted by buyerLine.position.

Array<object>

Includes the order line data for a particular scheduledDelivery

object
id
required

The globally unique Tradecloud order line identifier

string
lineType

The optional order line type set by the buyer or supplier, one of:

  • Item - This is an item line (default).
  • Service - This is a service line.
  • Charge - This is a charge line.
string
default: Item
Allowed values: Item Service Charge
chargeReasonCode

The optional charge reason code set by the buyer or supplier, in case of a charge line.

string format: UNCL7161
buyerLine
required

A buyer purchase order line for a particular single delivery order line.

object
position

The position identifier in the purchase order. The position is unique and immutable within the order. Position is empty in case of a newly created or split line by the supplier.

string format: digits
originalPosition

The original position in case this is a split line.

string format: digits
row

An optional row label for this position. Do NOT use row as identifier.

string format: digits
description

An optional free format line description or reference added by the buyer.

string
item
required

The buyer side item (or article, goods) to be delivered.

object
number

The mandatory item code or number as known by the buyer. The number is unique and immutable within the buyer scope.

string
revision

The optional revision (or version) of this item as known by the buyer.

string
name
required

The mandatory short name of this item as known by the buyer.

string
description

The optionally long description of this item as known by the buyer.

string
purchaseUnitOfMeasureIso
required

The purchase unit of measure for this item, passed through as-is to the supplier. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string
supplierItemNumber

The optional item code or number as known by the supplier. Advised in case of wholesale suppliers.

string
dimensions

Array of dimensions related to the item

Array<object>

Defines measurable dimensions (length, width, area, weight or volume) of an item

object
attribute
required

Measurement type of item

string
measure
required

Measurement value

number
unitOfMeasureUnece
required

The unit of measure for this dimension, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string
itemDetails

The buyer may send item details to inform the supplier about part information. The supplier may check, change and add item details if they are not correct or incomplete.

object
countryOfOriginCodeIso2

The country of manufacture, production, or growth where an article or product comes from

string
combinedNomenclatureCode

A tool for classifying goods, set up to meet the requirements both of the Common Customs Tariff and of the EU’s external trade statistics

string
netWeight

Net weight of one item

number format: float
netWeightUnitOfMeasureIso

The net weight unit of measure, passed through as-is. Mandatory when netWeight is provided. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string
dangerousGoodsCodeUnece

UN numbers or UN IDs are four-digit numbers that identify dangerous goods, hazardous substances and articles in the framework of international transport.

string
serialNumber

Unique identifier assigned incrementally or sequentially to an item, to uniquely identify it

string
batchNumber

Identification number assigned to a particular quantity or lot of material from a single manufacturer

string
prices

The gross price, discount percentage and net price. Advised is to use net price only or alternatively gross price together with discount percentage.

object
grossPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217
discountPercentage

The discount percentage. Use together with grossPrice.

number
netPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items). This number must be greater than 0

number
terms

Order line terms set by the buyer.

object
contractNumber

The contract framework code or number associated with this line. The number is unique and immutable within the buyer scope.

string
contractPosition

Optional position in the framework contract associated with this line. The position is unique and immutable within the contract.

string format: digits
projectNumber

Optional buyer project code or number associated with this line.

string
productionNumber

Optional buyer production code or number associated with this line.

string
salesOrderNumber

Optional buyer sales order code or number associated with this line.

string
indicators

Order line indicators set by the buyer.

object
noDeliveryExpected

No goods are expected to be delivered to the buyer.

boolean
delivered

All goods are delivered at the buyer.

boolean
proposeWhenAccepted

If set to true, when supplier confirms a line then this line becomes a proposal

boolean
properties
required

Key-value based custom fields added by the buyer.

Array<object>

A key-value based custom field.

object
key
required

The key of the custom field.

string
value
required

The value of the custom field. Use \n for a new line.

string
notes
required

String based custom fields added by the buyer. \n are used for a new line.

Array<string>
labels

Optional value-added services labels on line level. Please note the practicable number of labels is dependent on the supplier.

Array<string>
documents
required

Order line document references and meta data added by the buyer

Array<object>

Either use objectId and the Tradecloud object-storage API or url to download the document.

object
code

Optional document code or number. The code is unique and immutable within a company.

string
revision

Optional document revision (or version) code or number

string
name

Optional document short name

string
objectId

The globally unique Tradecloud object identifier as known by the Tradecloud Object Storage, if this document stored in Tradecloud.

string format: uuid
url

Optional location of the document if is not stored in Tradecloud.

string format: url
type

Optional type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…

string
description

Optional description of the attached document.

string
meta

Meta information about the document, set by Tradecloud.

object
addedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was first attached to or embedded on the order or order line. Absent for a document that predates Tradecloud recording this date.

string format: yyyy-MM-ddTHH:mm:ss.SSSZ
lastUpdatedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was last attached or embedded with changed values. Equal to addedAt when the document has never changed. Not updated when an unchanged document is sent again.

string format: yyyy-MM-ddTHH:mm:ss.SSSZ
certification

3th party certification requirements by buyer.

object
typeCode

Certification Type code

string
type

Human readable Certification Type

string
classificationSocietyCode

Classification Society code

string
classificationSociety

Human readable Classification Society

string
customLabels

Optional custom labels on order line level added by buyer, to make supply or quality issues visible.

Array<object>

Custom label to make supply or quality issues visible.

object
text
required

Free format label text.

string
reason

Free format label reason.

string
supplierLine
required

A supplier side order line may contain sales order number and position.

object
salesOrderNumber

Optional supplier sales order code or number associated with this line. The number is unique and immutable within the supplier scope.

string
salesOrderLinePosition

Optional supplier sales order line position associated with this line. The position is unique and immutable within the sales order.

string
description

An optional free format line description or reference added by the supplier.

string
itemDetails

The buyer may send item details to inform the supplier about part information. The supplier may check, change and add item details if they are not correct or incomplete.

object
countryOfOriginCodeIso2

The country of manufacture, production, or growth where an article or product comes from

string
combinedNomenclatureCode

A tool for classifying goods, set up to meet the requirements both of the Common Customs Tariff and of the EU’s external trade statistics

string
netWeight

Net weight of one item

number format: float
netWeightUnitOfMeasureIso

The net weight unit of measure, passed through as-is. Mandatory when netWeight is provided. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string
dangerousGoodsCodeUnece

UN numbers or UN IDs are four-digit numbers that identify dangerous goods, hazardous substances and articles in the framework of international transport.

string
serialNumber

Unique identifier assigned incrementally or sequentially to an item, to uniquely identify it

string
batchNumber

Identification number assigned to a particular quantity or lot of material from a single manufacturer

string
properties
required

Key-value based custom fields added by the supplier.

Array<object>

A key-value based custom field.

object
key
required

The key of the custom field.

string
value
required

The value of the custom field. Use \n for a new line.

string
notes
required

String based custom fields added by the supplier. \n are used for a new line.

Array<string>
documents
required

Order line document references and meta data added by the supplier

Array<object>

Either use objectId and the Tradecloud object-storage API or url to download the document.

object
code

Optional document code or number. The code is unique and immutable within a company.

string
revision

Optional document revision (or version) code or number

string
name

Optional document short name

string
objectId

The globally unique Tradecloud object identifier as known by the Tradecloud Object Storage, if this document stored in Tradecloud.

string format: uuid
url

Optional location of the document if is not stored in Tradecloud.

string format: url
type

Optional type of the attached document. Eg. General, Class Product Certificate, Manual, Packing Instructions, etc…

string
description

Optional description of the attached document.

string
meta

Meta information about the document, set by Tradecloud.

object
addedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was first attached to or embedded on the order or order line. Absent for a document that predates Tradecloud recording this date.

string format: yyyy-MM-ddTHH:mm:ss.SSSZ
lastUpdatedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) at which the document was last attached or embedded with changed values. Equal to addedAt when the document has never changed. Not updated when an unchanged document is sent again.

string format: yyyy-MM-ddTHH:mm:ss.SSSZ
customLabels

Optional custom labels on order line level added by supplier, to make supply or quality issues visible.

Array<object>

Custom label to make supply or quality issues visible.

object
text
required

Free format label text.

string
reason

Free format label reason.

string
statusLine
required

The order line values representing the current Issued or Confirmed status. The InclRequests fields include the InProgress status and open buyer or supplier request values.

object
scheduledDelivery

The scheduled delivery line. This field is used as an alternative for the deliverySchedule field if your ERP system does not support a deliverySchedule within an order line natively and the delivery schedule is spread over multiple order lines instead.

object
date

The optional scheduled delivery date of this delivery position. Date has ISO 8601 date format.

string format: YYYY-MM-DD
quantity

The optional scheduled quantity of this delivery position. Quantity has a decimal format.

number
status

The order, line or optional delivery line logistics status:

  • Open - No or partial quantity Produced, ReadyToShip, Shipped or Delivered
  • Produced - Full quantity produced by the supplier
  • ReadyToShip - Full quantity ready to be shipped by the supplier
  • Shipped - Full quantity shipped by the supplier
  • Delivered - Full quantity delivered at the buyer
  • Cancelled - Cancelled by the buyer
string
Allowed values: Open Produced ReadyToShip Shipped Delivered Cancelled
indicators
required
object
deliveryOverdue

True if this delivery line is not Delivered yet and its date is in the past.

boolean
transportMode

The Mode of Transport used for the delivery of goods. UNECE.org Recommendation 19 is advised for Mode of Transport values.

string
etd

The optional logistics Estimated Time of Departure local date (without time zone) of this delivery line. Date has ISO 8601 date format.

string format: YYYY-MM-DD
eta

The optional logistics Estimated Time of Arrival local date (without time zone) of this delivery line. Date has ISO 8601 date format.

string format: YYYY-MM-DD
scheduledDeliveryInclRequests

The scheduled delivery line. This field is used as an alternative for the deliverySchedule field if your ERP system does not support a deliverySchedule within an order line natively and the delivery schedule is spread over multiple order lines instead.

object
date

The optional scheduled delivery date of this delivery position. Date has ISO 8601 date format.

string format: YYYY-MM-DD
quantity

The optional scheduled quantity of this delivery position. Quantity has a decimal format.

number
status

The order, line or optional delivery line logistics status:

  • Open - No or partial quantity Produced, ReadyToShip, Shipped or Delivered
  • Produced - Full quantity produced by the supplier
  • ReadyToShip - Full quantity ready to be shipped by the supplier
  • Shipped - Full quantity shipped by the supplier
  • Delivered - Full quantity delivered at the buyer
  • Cancelled - Cancelled by the buyer
string
Allowed values: Open Produced ReadyToShip Shipped Delivered Cancelled
indicators
required
object
deliveryOverdue

True if this delivery line is not Delivered yet and its date is in the past.

boolean
transportMode

The Mode of Transport used for the delivery of goods. UNECE.org Recommendation 19 is advised for Mode of Transport values.

string
etd

The optional logistics Estimated Time of Departure local date (without time zone) of this delivery line. Date has ISO 8601 date format.

string format: YYYY-MM-DD
eta

The optional logistics Estimated Time of Arrival local date (without time zone) of this delivery line. Date has ISO 8601 date format.

string format: YYYY-MM-DD
prices

The gross price, discount percentage and net price. Advised is to use net price only or alternatively gross price together with discount percentage.

object
grossPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217
discountPercentage

The discount percentage. Use together with grossPrice.

number
netPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items). This number must be greater than 0

number
pricesInclRequests

The gross price, discount percentage and net price. Advised is to use net price only or alternatively gross price together with discount percentage.

object
grossPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217
discountPercentage

The discount percentage. Use together with grossPrice.

number
netPrice

A price in the transaction currency, like CNY and, if available, a price in your base currency, like EUR in the EU.

object
priceInTransactionCurrency
required

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217
priceInBaseCurrency

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217
priceUnitOfMeasureIso
required

The price unit of measure, passed through as-is. No standard is enforced; UN/ECE Recommendation N°20 is recommended if you want a standard. The purchase unit and price unit may be different.

string
priceUnitQuantity
required

The item quantity at which the price applies. Typically this is 1 (unit price) or 100 (the price applies to 100 items). This number must be greater than 0

number
totalQuantity
required

The total scheduled quantity in the order line delivery schedule. Quantity has a decimal format. Zero when no delivery schedule is present.

number
totalQuantityInclRequests
required

The total scheduled quantity in the order line delivery schedule including all requests. Zero when no delivery schedule is present.

number
totalAmount

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217
totalAmountInclRequests

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217
indicators
required
object
deliveryOverdue

True if a delivery line of this order line is not Delivered yet and its date is in the past.

boolean
status
required
object
processStatus
required

The order or line process status:

  • Issued - (Re)issued by the buyer
  • InProgress - Under negotiation between buyer and supplier
  • Confirmed - Agreed between buyer and supplier
  • Rejected - Rejected by supplier
  • Completed - Completed at the buyer
  • Cancelled - Cancelled by the buyer
string
Allowed values: Issued InProgress Confirmed Rejected Completed Cancelled
inProgressStatus

More fine-grained status when an order line has processStatus InProgress, explaining why it is in progress:

  • OpenSupplierProposal - There is an open proposal from the supplier.
  • RejectedSupplierProposal - The proposal from the supplier was rejected and no other requests are open.
  • ApprovedDeliverySchedule - The order line delivery schedule was approved by the buyer.
  • RejectedDeliverySchedule - The order line delivery schedule was rejected by the buyer.
  • ReissuedRejectedLine - The rejected order line was reissued by the buyer.
  • OpenBuyerReconfirmationRequest - The buyer has requested to reconfirmed the order line.
  • OpenSupplierReopenRequest - There is an open reopen request from the supplier.
  • OpenSupplierShipmentRescheduleRequest - There is an open shipment reschedule request from the supplier.
  • OpenBuyerReopenRequest - There is an open reopen request from the buyer.
  • RevertedCompletedLine - The completion of this line was reverted.
  • RevertedCancelledLine - The cancellation of this line was reverted.
string
Allowed values: OpenSupplierProposal RejectedSupplierProposal ApprovedDeliverySchedule RejectedDeliverySchedule ReissuedRejectedLine OpenBuyerReconfirmationRequest OpenSupplierReopenRequest OpenSupplierShipmentRescheduleRequest OpenBuyerReopenRequest RevertedCompletedLine RevertedCancelledLine
logisticsStatus
required

The order, line or optional delivery line logistics status:

  • Open - No or partial quantity Produced, ReadyToShip, Shipped or Delivered
  • Produced - Full quantity produced by the supplier
  • ReadyToShip - Full quantity ready to be shipped by the supplier
  • Shipped - Full quantity shipped by the supplier
  • Delivered - Full quantity delivered at the buyer
  • Cancelled - Cancelled by the buyer
string
Allowed values: Open Produced ReadyToShip Shipped Delivered Cancelled
eventDates
required

Key line event date and times.

object
issuedAt
required

Mandatory ISO date and time, in UTC time zone, at which the order line was issued in Tradecloud.

string format: YYYY-MM-DDThh:mm:ss.SSSZ
confirmedAt

Optional ISO date and time, in UTC time zone, at which the order line became confirmed in Tradecloud.

string format: YYYY-MM-DDThh:mm:ss.SSSZ
shippedAt

Optional ISO date and time, in UTC time zone, at which the order line became shipped in Tradecloud.

string format: YYYY-MM-DDThh:mm:ss.SSSZ
deliveredAt

Optional ISO date and time, in UTC time zone, at which the order line became delivered in Tradecloud.

string format: YYYY-MM-DDThh:mm:ss.SSSZ
cancelledAt

Optional ISO local date and time, in UTC time zone, at which the order line became cancelled in Tradecloud.

string format: YYYY-MM-DDThh:mm:ss.SSSZ
mergedItemDetails

The buyer may send item details to inform the supplier about part information. The supplier may check, change and add item details if they are not correct or incomplete.

object
countryOfOriginCodeIso2

The country of manufacture, production, or growth where an article or product comes from

string
combinedNomenclatureCode

A tool for classifying goods, set up to meet the requirements both of the Common Customs Tariff and of the EU’s external trade statistics

string
netWeight

Net weight of one item

number format: float
netWeightUnitOfMeasureIso

The net weight unit of measure, passed through as-is. Mandatory when netWeight is provided. No standard is enforced; UN/ECE Recommendation N°20 (Codes for Units of Measure) is recommended if you want a standard.

string
dangerousGoodsCodeUnece

UN numbers or UN IDs are four-digit numbers that identify dangerous goods, hazardous substances and articles in the framework of international transport.

string
serialNumber

Unique identifier assigned incrementally or sequentially to an item, to uniquely identify it

string
batchNumber

Identification number assigned to a particular quantity or lot of material from a single manufacturer

string
lastUpdatedAt

The ISO-8601 date and time in UTC time zone that denotes the latest date time the order line has been changed

string format: YYYY-MM-DDThh:mm:ss.SSSZ
indicators
required
object
deliveryOverdue

True if a order line is not Delivered yet and the order line is overdue.

boolean
status
required
object
processStatus
required

The order or line process status:

  • Issued - (Re)issued by the buyer
  • InProgress - Under negotiation between buyer and supplier
  • Confirmed - Agreed between buyer and supplier
  • Rejected - Rejected by supplier
  • Completed - Completed at the buyer
  • Cancelled - Cancelled by the buyer
string
Allowed values: Issued InProgress Confirmed Rejected Completed Cancelled
logisticsStatus
required

The order, line or optional delivery line logistics status:

  • Open - No or partial quantity Produced, ReadyToShip, Shipped or Delivered
  • Produced - Full quantity produced by the supplier
  • ReadyToShip - Full quantity ready to be shipped by the supplier
  • Shipped - Full quantity shipped by the supplier
  • Delivered - Full quantity delivered at the buyer
  • Cancelled - Cancelled by the buyer
string
Allowed values: Open Produced ReadyToShip Shipped Delivered Cancelled
eventDates

Key order event date and times.

object
issuedAt
required

Mandatory ISO local date and time, in UTC time zone, at which the order was issued in Tradecloud.

string format: YYYY-MM-DDThh:mm:ss.SSSZ
confirmedAt

Optional ISO local date and time, in UTC time zone, at which the order became completely confirmed in Tradecloud.

string format: YYYY-MM-DDThh:mm:ss.SSSZ
shippedAt

Optional ISO local date and time, in UTC time zone, at which the order became completely shipped in Tradecloud.

string format: YYYY-MM-DDThh:mm:ss.SSSZ
deliveredAt

Optional ISO local date and time, in UTC time zone, at which the order became completely delivered in Tradecloud.

string format: YYYY-MM-DDThh:mm:ss.SSSZ
cancelledAt

Optional ISO local date and time, in UTC time zone, at which the order became completely cancelled in Tradecloud.

string format: YYYY-MM-DDThh:mm:ss.SSSZ
firstDeliveryDate
string
version
required

The version of the order, used for optimistic locking.

integer format: int64
totalAmount

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217
totalAmountInclRequests

Mandatory price value and currency fields.

object
value
required

Mandatory price value has a decimal format. Typically a precision from 2 to 5 decimal digits is used, also depending on the purchase unit quantity.

number
currencyIso
required

Mandatory 3-letter currency code according to ISO 4217.

string format: ISO 4217
meta

Includes meta information about this message.

object
messageId
required

Globally unique Tradecloud identifier of this message.

string format: uuid
source
required

Includes meta information about the source of this message.

object
traceId
required

Globally unique Tradecloud trace identifier of this message. All related messages will have the same tradeId.

string format: uuid
userId

Globally unique Tradecloud user identifier which triggered the first message in a flow.

string format: uuid
companyId

Globally unique Tradecloud company identifier which triggered the first message in a flow.

string format: uuid
createdDateTime
required

Mandatory ISO date and time, in UTC time zone, at which this message was created.

string format: YYYY-MM-DDThh:mm:ss.SSSZ
lastUpdatedAt

The ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) that denotes the latest date time the order has been changed.

string format: YYYY-MM-DDThh:mm:ss.SSSZ
total
required

The total no. of orders in the query result independent of paging.

integer format: int32
lastUpdatedAt

ISO-8601 date time (with milliseconds and UTC ‘Z’ designator) containing the lastUpdatedAt value of the most recently updated order that was returned in the data property, if non-empty.

string format: YYYY-MM-DDThh:mm:ss.SSSZ

Example

{
"data": [
{
"id": "eaf0036d-63ec-4292-b4ca-d65df0a912cc-PO0123456789",
"buyerOrder": {
"companyId": "00f03b98-2511-489f-9695-13791b3f66b6",
"buyerParty": {
"id": "123",
"idScheme": "GLN",
"names": [
"My Company Warehouse",
"Dock 12"
],
"addressLines": [
"Street 123",
"Area 52"
],
"postalCode": "1234 AB",
"city": "Rotterdam",
"countryCodeIso2": "NL",
"countryName": "The Netherlands"
},
"buyerAccountingParty": {
"id": "123",
"idScheme": "GLN",
"names": [
"My Company Warehouse",
"Dock 12"
],
"addressLines": [
"Street 123",
"Area 52"
],
"postalCode": "1234 AB",
"city": "Rotterdam",
"countryCodeIso2": "NL",
"countryName": "The Netherlands"
},
"supplierAccountNumber": "SUPPLIER12345",
"supplierParty": {
"id": "123",
"idScheme": "GLN",
"names": [
"My Company Warehouse",
"Dock 12"
],
"addressLines": [
"Street 123",
"Area 52"
],
"postalCode": "1234 AB",
"city": "Rotterdam",
"countryCodeIso2": "NL",
"countryName": "The Netherlands"
},
"purchaseOrderNumber": "PO123456789",
"description": "Any custom text about this order",
"destination": {
"code": "LOC001",
"names": [
"Company Name Headquarters"
],
"addressLines": [
"Molengraaffsingel 12"
],
"postalCode": "1234 AB",
"city": "Delft",
"countryCodeIso2": "NL",
"countryName": "The Netherlands",
"locationType": "Supplier Premises"
},
"terms": {
"incotermsCode": "CIF",
"incoterms": "ECT Rotterdam",
"paymentTermsCode": "30D",
"paymentTerms": "30 days"
},
"indicators": {
"autoConfirm": false
},
"properties": [
{
"key": "color",
"value": "red"
}
],
"labels": [
"first label for this order",
"second label for this order"
],
"documents": [
{
"code": "123456789",
"revision": "B",
"name": "Tradecloud API Manual",
"objectId": "00f03b98-2511-489f-9695-13791b3f66b6",
"url": "https://my-company.com/storage/my_file.pdf",
"type": "General",
"description": "General document",
"meta": {
"addedAt": "2019-12-31T10:11:12.123Z",
"lastUpdatedAt": "2019-12-31T10:11:12.123Z"
}
}
],
"contact": {
"status": "Assigned"
},
"orderType": "Purchase",
"customLabels": [
{
"text": "Urgent",
"reason": "Out of stock"
}
],
"requirements": {
"salesOrderNumberRequired": false
},
"erpIssueDateTime": "2019-12-31T10:11:12",
"erpIssuedBy": {
"userId": "00f03b98-2511-489f-9695-13791b3f66b6",
"email": "contact@yourcompany.com",
"userName": "Contactusername"
},
"erpLastChangeDateTime": "2019-12-31T10:11:12",
"erpLastChangedBy": {
"userId": "00f03b98-2511-489f-9695-13791b3f66b6",
"email": "contact@yourcompany.com",
"userName": "Contactusername"
}
},
"supplierOrder": {
"companyId": "d024bf02-7e33-427b-b4f5-a10a61761711",
"buyerAccountNumber": "BUYER12345",
"description": "Any custom text about this order",
"properties": [
{
"key": "color",
"value": "red"
}
],
"documents": [
{
"code": "123456789",
"revision": "B",
"name": "Tradecloud API Manual",
"objectId": "00f03b98-2511-489f-9695-13791b3f66b6",
"url": "https://my-company.com/storage/my_file.pdf",
"type": "General",
"description": "General document",
"meta": {
"addedAt": "2019-12-31T10:11:12.123Z",
"lastUpdatedAt": "2019-12-31T10:11:12.123Z"
}
}
],
"contact": {
"status": "Suggested"
},
"customLabels": [
{
"text": "Urgent",
"reason": "Out of stock"
}
],
"erpLastResponseDateTime": "2019-12-31T10:11:12",
"erpLastRespondedBy": {
"userId": "00f03b98-2511-489f-9695-13791b3f66b6",
"email": "contact@yourcompany.com",
"userName": "Contactusername"
}
},
"lines": [
{
"id": "ee99cd3f-c24c-4b60-84ea-8dcf889cc37b-PO012345789-00010",
"lineType": "Item",
"chargeReasonCode": "FC",
"buyerLine": {
"position": "00010",
"originalPosition": "00010",
"row": "1",
"description": "Anything about this line",
"item": {
"number": "12345",
"revision": "v2",
"name": "Round tube ø60x45",
"description": "Very nice round tube ø60 x 45",
"purchaseUnitOfMeasureIso": "PCE",
"supplierItemNumber": "67890",
"dimensions": [
{
"attribute": "Length",
"measure": 50.5,
"unitOfMeasureUnece": "m"
}
]
},
"itemDetails": {
"countryOfOriginCodeIso2": "NL",
"combinedNomenclatureCode": "6406 10 10",
"netWeight": 41.241,
"netWeightUnitOfMeasureIso": "KG",
"dangerousGoodsCodeUnece": "0060",
"serialNumber": "0x0000000000028000",
"batchNumber": "#18001"
},
"prices": {
"grossPrice": {
"priceInTransactionCurrency": {
"value": 1234.56,
"currencyIso": "EUR"
},
"priceInBaseCurrency": {
"value": 1234.56,
"currencyIso": "EUR"
}
},
"discountPercentage": 50,
"netPrice": {
"priceInTransactionCurrency": {
"value": 1234.56,
"currencyIso": "EUR"
},
"priceInBaseCurrency": {
"value": 1234.56,
"currencyIso": "EUR"
}
},
"priceUnitOfMeasureIso": "PCE",
"priceUnitQuantity": 100
},
"terms": {
"contractNumber": "123456789",
"contractPosition": "0001"
},
"projectNumber": "PROJ12345",
"productionNumber": "PROD12345",
"salesOrderNumber": "SO123456789",
"indicators": {
"noDeliveryExpected": true,
"delivered": true
},
"properties": [
{
"key": "color",
"value": "red"
}
],
"labels": [
"first label for this line",
"second label for this line"
],
"documents": [
{
"code": "123456789",
"revision": "B",
"name": "Tradecloud API Manual",
"objectId": "00f03b98-2511-489f-9695-13791b3f66b6",
"url": "https://my-company.com/storage/my_file.pdf",
"type": "General",
"description": "General document",
"meta": {
"addedAt": "2019-12-31T10:11:12.123Z",
"lastUpdatedAt": "2019-12-31T10:11:12.123Z"
}
}
],
"certification": {
"typeCode": "C",
"type": "Class Certificate",
"classificationSocietyCode": "LR",
"classificationSociety": "Lloyd's Register"
},
"customLabels": [
{
"text": "Urgent",
"reason": "Out of stock"
}
]
},
"supplierLine": {
"salesOrderNumber": "SO123456789",
"salesOrderLinePosition": "00010",
"description": "Anything about this line",
"itemDetails": {
"countryOfOriginCodeIso2": "NL",
"combinedNomenclatureCode": "6406 10 10",
"netWeight": 41.241,
"netWeightUnitOfMeasureIso": "KG",
"dangerousGoodsCodeUnece": "0060",
"serialNumber": "0x0000000000028000",
"batchNumber": "#18001"
},
"properties": [
{
"key": "color",
"value": "red"
}
],
"documents": [
{
"code": "123456789",
"revision": "B",
"name": "Tradecloud API Manual",
"objectId": "00f03b98-2511-489f-9695-13791b3f66b6",
"url": "https://my-company.com/storage/my_file.pdf",
"type": "General",
"description": "General document",
"meta": {
"addedAt": "2019-12-31T10:11:12.123Z",
"lastUpdatedAt": "2019-12-31T10:11:12.123Z"
}
}
],
"customLabels": [
{
"text": "Urgent",
"reason": "Out of stock"
}
]
},
"statusLine": {
"scheduledDelivery": {
"date": "2019-12-31",
"quantity": 1234.56,
"status": "Open",
"indicators": {
"deliveryOverdue": false
},
"transportMode": "Road transport",
"etd": "2019-12-31",
"eta": "2019-12-31"
},
"scheduledDeliveryInclRequests": {
"date": "2019-12-31",
"quantity": 1234.56,
"status": "Open",
"indicators": {
"deliveryOverdue": false
},
"transportMode": "Road transport",
"etd": "2019-12-31",
"eta": "2019-12-31"
},
"prices": {
"grossPrice": {
"priceInTransactionCurrency": {
"value": 1234.56,
"currencyIso": "EUR"
},
"priceInBaseCurrency": {
"value": 1234.56,
"currencyIso": "EUR"
}
},
"discountPercentage": 50,
"netPrice": {
"priceInTransactionCurrency": {
"value": 1234.56,
"currencyIso": "EUR"
},
"priceInBaseCurrency": {
"value": 1234.56,
"currencyIso": "EUR"
}
},
"priceUnitOfMeasureIso": "PCE",
"priceUnitQuantity": 100
},
"pricesInclRequests": {
"grossPrice": {
"priceInTransactionCurrency": {
"value": 1234.56,
"currencyIso": "EUR"
},
"priceInBaseCurrency": {
"value": 1234.56,
"currencyIso": "EUR"
}
},
"discountPercentage": 50,
"netPrice": {
"priceInTransactionCurrency": {
"value": 1234.56,
"currencyIso": "EUR"
},
"priceInBaseCurrency": {
"value": 1234.56,
"currencyIso": "EUR"
}
},
"priceUnitOfMeasureIso": "PCE",
"priceUnitQuantity": 100
},
"totalQuantity": 1234.56,
"totalQuantityInclRequests": 1234.56,
"totalAmount": {
"value": 1234.56,
"currencyIso": "EUR"
},
"totalAmountInclRequests": {
"value": 1234.56,
"currencyIso": "EUR"
}
},
"indicators": {
"deliveryOverdue": false
},
"status": {
"processStatus": "Issued",
"inProgressStatus": "OpenSupplierProposal",
"logisticsStatus": "Open"
},
"eventDates": {
"issuedAt": "2019-12-31T10:11:12.123Z",
"confirmedAt": "2019-12-31T10:11:12.123Z",
"shippedAt": "2019-12-31T10:11:12.123Z",
"deliveredAt": "2019-12-31T10:11:12.123Z",
"cancelledAt": "2019-12-31T10:11:12.123Z"
},
"mergedItemDetails": {
"countryOfOriginCodeIso2": "NL",
"combinedNomenclatureCode": "6406 10 10",
"netWeight": 41.241,
"netWeightUnitOfMeasureIso": "KG",
"dangerousGoodsCodeUnece": "0060",
"serialNumber": "0x0000000000028000",
"batchNumber": "#18001"
},
"lastUpdatedAt": "2021-04-23T10:01:53.812Z"
}
],
"indicators": {
"deliveryOverdue": false
},
"status": {
"processStatus": "Issued",
"logisticsStatus": "Open"
},
"eventDates": {
"issuedAt": "2019-12-31T10:11:12.123Z",
"confirmedAt": "2019-12-31T10:11:12.123Z",
"shippedAt": "2019-12-31T10:11:12.123Z",
"deliveredAt": "2019-12-31T10:11:12.123Z",
"cancelledAt": "2019-12-31T10:11:12.123Z"
},
"version": 1,
"totalAmount": {
"value": 1234.56,
"currencyIso": "EUR"
},
"totalAmountInclRequests": {
"value": 1234.56,
"currencyIso": "EUR"
},
"meta": {
"createdDateTime": "2019-12-31T10:11:12.123Z"
},
"lastUpdatedAt": "2021-04-23T10:01:53.812Z"
}
],
"total": 10,
"lastUpdatedAt": "2021-04-23T10:01:53.812Z"
}

Bad request, the user should check the response body for more info.

Not authenticated, the user should authenticate using a valid access token, use Basic Authentication, or refresh to get a valid token.

Not authorized, the user is authenticated but does not have the necessary permission.

An unexpected error occurred, Tradecloud ops will be alerted.

Service is not healthy (bad gateway), Tradecloud ops will be alerted.

Service is unavailable (overloaded or down for maintenance), Tradecloud ops will be alerted.

Service is unavailable (gateway timeout), Tradecloud ops will be alerted.